Bug 44415 - icu: Multiple issues (4.2)
icu: Multiple issues (4.2)
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Security updates
UCS 4.2
Other Linux
: P2 normal (vote)
: UCS 4.2-3-errata
Assigned To: Arvid Requate
Jürn Brodersen
:
Depends on:
Blocks: 44665
  Show dependency treegraph
 
Reported: 2017-04-19 16:49 CEST by Arvid Requate
Modified: 2017-12-14 12:55 CET (History)
1 user (show)

See Also:
What kind of report is it?: Security Issue
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional): Security
Max CVSS v3 score: 8.4 (CVSS:3.0/AV:L/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H)
requate: Patch_Available+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Arvid Requate univentionstaff 2017-04-19 16:49:00 CEST
Upstream Debian package version 52.1-8+deb8u5 fixes these issues:

* out-of-bounds write caused by a heap-based buffer overflow related to the utf8TextAccess function in common/utext.cpp and the utext_setNativeIndex* function (CVE-2017-7867)

* out-of-bounds write caused by a heap-based buffer overflow related to the utf8TextAccess function in common/utext.cpp and the utext_moveIndex32* function (CVE-2017-7868)
Comment 1 Arvid Requate univentionstaff 2017-12-11 19:04:01 CET
Upstream Debian package version 52.1-8+deb8u6 fixes:

* Backport upstream security fix for CVE-2017-14952: double free in
  createMetazoneMappings()
Comment 2 Arvid Requate univentionstaff 2017-12-11 19:14:52 CET
Imported and built.

Advisory: https://git.knut.univention.de/univention/ucs/blob/4.2-3/doc/errata/staging/icu.yaml
Comment 3 Jürn Brodersen univentionstaff 2017-12-12 10:32:46 CET
Installation: OK
YAML: OK

Verified
Comment 4 Arvid Requate univentionstaff 2017-12-14 12:55:52 CET
<http://errata.software-univention.de/ucs/4.2/247.html>